/bridges

A list of bridges can be retrieved using this endpoint.
It is important to note that after using the pageSize parameter, the "totalSize" in the response represents the total number of available bridges, not the number of bridges resulting from the query string.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
include
array of strings
include
sort
array of strings
Defaults to +name

Comma separated list of of fields that should be sorted.

  • sort= - not providing any value will result in error 400
  • sort=+name,+name - same values will result in error 400
  • sort=-name,+name - mutially exclusive values will return error 400
  • maxItem=3 - Only Three values will be accepted, more will return error 400
  • qRelevance is optional ordering parameter which is available if q filter is used, if q filter is not passed qRelevance as ordering parameter will return error 400
sort
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

locationId__in
array of strings

List of Location IDs to filter on that is comma separated.

locationId__in
tags__contains
array of strings

Only return bridges that have all tags in the list, separated by commas.

tags__contains
tags__any
array of strings

Only return bridges that have one or more of the tags in the list, separated by commas.

tags__any
string

Filter to get the bridges whose the name contains the provided substring. The lookup is exact and case insensitive

name__in
array of strings

Filter to get the bridges whose name is on the provided list. The lookup is exact and case insensitive.

name__in
string

Filter to get the bridges with the specified name. The lookup is exact and case insensitive.

id__in
array of strings

Filter to get the bridges whose id is on the provided list. The lookup is exact and case insensitive.

id__in
string

Filter to get the bridges whose the id contains the provided substring. The lookup is exact and case insensitive

string

Text search that is applied to multiple fields. The fields being searched are defined by the backend and can be changed without warning. Example fields being searched: id, accountId, name, notes, tags, timeZone.zone, devicePosition.floor, and metadata of important linked resources such as the location.

float
0 to 1

Sets the current minimum similarity threshold that is used with the q parameter. The threshold must be between 0 and 1 (float, default is 0.5).

status__in
array of objects

Filter to get the devices with the specified status. The lookup is exact and case insensitive.

status__in
status__ne
array of strings

Filter to get the devices with status that is not equal to the provided value. The lookup is exact and case insensitive.

status__ne
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json